{"openapi":"3.1.0","info":{"title":"Bondradar API","description":"Bondradar API","termsOfService":"https://www.bondradar.com/terms","contact":{"name":"Bondradar Contacts","url":"https://www.bondradar.com/contact_us"},"version":"v3.4.0"},"externalDocs":{"description":"Documentation","url":"https://api.bondradar.com/v3/documentation"},"servers":[{"url":"https://api.bondradar.com","description":"API"}],"security":[{"authentication":[]}],"tags":[{"name":"Oauth2 Token endpoint","description":"Endpoint for retrieving oauth token"},{"name":"Bond expected deals resources","description":"Endpoints for retrieving expected deals"},{"name":"Bond priced deals resources","description":"Endpoints for retrieving priced deals"},{"name":"Service resources","description":"Endpoint for retrieving services"},{"name":"Loan market resources","description":"Endpoint for retrieving loan markets"},{"name":"Bond market resources","description":"Endpoint for retrieving bond markets"},{"name":"Loan priced deals resources","description":"Endpoints for retrieving priced deals"},{"name":"Loan expected deals resources","description":"Endpoints for retrieving expected deals"}],"paths":{"/oauth/token":{"post":{"tags":["Oauth2 Token endpoint"],"summary":"Get Oauth2 token","operationId":"oauthToken","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}},{"name":"grant_type","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAuth2AccessToken"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAuth2AccessToken"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v3":{"get":{"tags":["Service resources"],"summary":"Get Services","operationId":"getServices","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelServicesView"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelServicesView"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/loan":{"get":{"tags":["Loan market resources"],"summary":"Get Loan service","operationId":"getMarkets","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelMarketView"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelMarketView"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/ll":{"get":{"tags":["Loan market resources"],"summary":"Get LEVERAGED FINANCE market","operationId":"getLlMarket","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/ll/priced-deal":{"get":{"tags":["Loan priced deals resources"],"summary":"Get LL priced deals list","operationId":"getLlPricedDeals","parameters":[{"name":"updatedSince","in":"query","description":"Parameter for filtering (internal, do not fill manually)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pricingDateFrom","in":"query","description":"Filter for lower boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}},{"name":"pricingDateTo","in":"query","description":"Filter for upper boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelPricedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/ll/priced-deal/{id}":{"get":{"tags":["Loan priced deals resources"],"summary":"Get LL priced deal","operationId":"getLlPricedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PricedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/ll/expected-deal":{"get":{"tags":["Loan expected deals resources"],"summary":"Get LL expected deals list","operationId":"getLlExpectedDeals","parameters":[{"name":"updatedSince","in":"query","description":"Parameter for filtering (internal, do not fill manually)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelExpectedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/ll/expected-deal/{id}":{"get":{"tags":["Loan expected deals resources"],"summary":"Get LL expected deal","operationId":"getLlExpectedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExpectedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/cf":{"get":{"tags":["Loan market resources"],"summary":"Get CORPORATES AND FIS market","operationId":"getCfMarket","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/cf/priced-deal":{"get":{"tags":["Loan priced deals resources"],"summary":"Get CF priced deals list","operationId":"getCfPricedDeals","parameters":[{"name":"updatedSince","in":"query","description":"Parameter for filtering (internal, do not fill manually)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pricingDateFrom","in":"query","description":"Filter for lower boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}},{"name":"pricingDateTo","in":"query","description":"Filter for upper boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelPricedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/cf/priced-deal/{id}":{"get":{"tags":["Loan priced deals resources"],"summary":"Get CF priced deal","operationId":"getCfPricedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PricedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/cf/expected-deal":{"get":{"tags":["Loan expected deals resources"],"summary":"Get CF expected deals list","operationId":"getCfExpectedDeals","parameters":[{"name":"updatedSince","in":"query","description":"Parameter for filtering (internal, do not fill manually)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelExpectedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/cf/expected-deal/{id}":{"get":{"tags":["Loan expected deals resources"],"summary":"Get CF expected deal","operationId":"getCfExpectedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExpectedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/af":{"get":{"tags":["Loan market resources"],"summary":"Get ASSET-FINANCE market","operationId":"getAfMarket","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/af/priced-deal":{"get":{"tags":["Loan priced deals resources"],"summary":"Get AF priced deals list","operationId":"getAfPricedDeals","parameters":[{"name":"updatedSince","in":"query","description":"Parameter for filtering (internal, do not fill manually)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pricingDateFrom","in":"query","description":"Filter for lower boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}},{"name":"pricingDateTo","in":"query","description":"Filter for upper boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelPricedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/af/priced-deal/{id}":{"get":{"tags":["Loan priced deals resources"],"summary":"Get AF priced deal","operationId":"getAfPricedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PricedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/af/expected-deal":{"get":{"tags":["Loan expected deals resources"],"summary":"Get AF expected deals list","operationId":"getAfExpectedDeals","parameters":[{"name":"updatedSince","in":"query","description":"Parameter for filtering (internal, do not fill manually)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelExpectedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/loan/af/expected-deal/{id}":{"get":{"tags":["Loan expected deals resources"],"summary":"Get AF expected deal","operationId":"getAfExpectedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExpectedDealResources"}}}}},"security":[{"authentication":[]}]}},"/v3/bond":{"get":{"tags":["Bond market resources"],"summary":"Get Bond service","operationId":"getMarkets_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelMarketView"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelMarketView"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/ig":{"get":{"tags":["Bond market resources"],"summary":"Get IG market","operationId":"getIgMarket","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/ig/priced-deal":{"get":{"tags":["Bond priced deals resources"],"summary":"Get IG priced deals list","operationId":"getIgPricedDeals","parameters":[{"name":"updatedSince","in":"query","description":"Parameter for filtering (internal, do not fill manually)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pricingDateFrom","in":"query","description":"Filter for lower boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}},{"name":"pricingDateTo","in":"query","description":"Filter for upper boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelIgPricedDeal"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/ig/priced-deal/{id}":{"get":{"tags":["Bond priced deals resources"],"summary":"Get IG priced deal","operationId":"getIgPricedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IgPricedDeal"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IgPricedDeal"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/ig/expected-deal":{"get":{"tags":["Bond expected deals resources"],"summary":"Get IG expected deals list","operationId":"getIgExpectedDeals","parameters":[{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"changedFrom","in":"query","description":"Filter for lower boundary of last data changed datetime value in ISO format","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"changedTo","in":"query","description":"Filter for upper boundary of last data changed datetime value in ISO format","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelIgExpectedDeal"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/ig/expected-deal/{id}":{"get":{"tags":["Bond expected deals resources"],"summary":"Get IG expected deal","operationId":"getIgDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IgExpectedDeal"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/hy":{"get":{"tags":["Bond market resources"],"summary":"Get HY market","operationId":"getHyMarket","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/hy/priced-deal":{"get":{"tags":["Bond priced deals resources"],"summary":"Get HY priced deals list","operationId":"getHyPricedDeals","parameters":[{"name":"updatedSince","in":"query","description":"Parameter for filtering (internal, do not fill manually)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pricingDateFrom","in":"query","description":"Filter for lower boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}},{"name":"pricingDateTo","in":"query","description":"Filter for upper boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelHyPricedDeal"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/hy/priced-deal/{id}":{"get":{"tags":["Bond priced deals resources"],"summary":"Get HY priced deal","operationId":"getHyPricedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/HyPricedDeal"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/hy/expected-deal":{"get":{"tags":["Bond expected deals resources"],"summary":"Get HY expected deals list","operationId":"getHyExpectedDeals","parameters":[{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"changedFrom","in":"query","description":"Filter for lower boundary of last data changed datetime value in ISO format","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"changedTo","in":"query","description":"Filter for upper boundary of last data changed datetime value in ISO format","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelHyExpectedDeal"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/hy/expected-deal/{id}":{"get":{"tags":["Bond expected deals resources"],"summary":"Get HY expected deal","operationId":"getHyDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/HyExpectedDeal"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/em":{"get":{"tags":["Bond market resources"],"summary":"Get EM market","operationId":"getEmMarket","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketView"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/em/priced-deal":{"get":{"tags":["Bond priced deals resources"],"summary":"Get EM priced deals list","operationId":"getEmPricedDeals","parameters":[{"name":"updatedSince","in":"query","description":"Parameter for filtering (internal, do not fill manually)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pricingDateFrom","in":"query","description":"Filter for lower boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}},{"name":"pricingDateTo","in":"query","description":"Filter for upper boundary of pricing date value in ISO format","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelEmPricedDeal"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/em/priced-deal/{id}":{"get":{"tags":["Bond priced deals resources"],"summary":"Get EM priced deal","operationId":"getEmPricedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmPricedDeal"}}}},"400":{"description":"Bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmPricedDeal"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/em/expected-deal":{"get":{"tags":["Bond expected deals resources"],"summary":"Get EM expected deals list","operationId":"getEmExpectedDeals","parameters":[{"name":"seeker","in":"query","description":"Parameter for pagination (internal, do not fill manually)","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"Page size","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"changedFrom","in":"query","description":"Filter for lower boundary of changed datetime value in ISO format","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"changedTo","in":"query","description":"Filter for upper boundary of changed datetime value in ISO format","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionModelEmExpectedDeal"}}}}},"security":[{"authentication":[]}]}},"/v3/bond/em/expected-deal/{id}":{"get":{"tags":["Bond expected deals resources"],"summary":"Get EM expected deal","operationId":"getEmExpectedDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmExpectedDeal"}}}}},"security":[{"authentication":[]}]}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"timestamp":{"type":"string","format":"date-time"},"errorId":{"type":"string","format":"uuid"},"message":{"type":"string"}},"required":["errorId","message","timestamp"]},"OAuth2AccessToken":{"type":"object","properties":{"access_token":{"type":"string"},"token_type":{"type":"string"},"expires_in":{"type":"integer","format":"int32"}},"required":["access_token","expires_in","token_type"]},"CollectionModelServicesView":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"services":{"type":"array","items":{"$ref":"#/components/schemas/ServicesView"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"ServicesView":{"type":"object","properties":{"name":{"type":"string"},"_links":{"$ref":"#/components/schemas/Links"}},"required":["name"]},"CollectionModelMarketView":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"markets":{"type":"array","items":{"$ref":"#/components/schemas/MarketView"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"MarketView":{"type":"object","properties":{"name":{"type":"string"},"_links":{"$ref":"#/components/schemas/Links"}},"required":["name"]},"CollectionModelPricedDealResources":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"pricedDeals":{"type":"array","items":{"$ref":"#/components/schemas/PricedDealResources"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"Converted":{"type":"object","properties":{"usd":{"type":"number"}},"required":["usd"]},"Currency":{"type":"object","properties":{"amount":{"type":"number"},"currency":{"type":"string"}},"required":["amount"]},"FxRate":{"type":"object","properties":{"usd":{"type":"number"}}},"LoanBank":{"type":"object","properties":{"name":{"type":"string"},"type":{"$ref":"#/components/schemas/Type"}},"required":["name","type"]},"Nominal":{"type":"object","properties":{"currencies":{"type":"array","items":{"$ref":"#/components/schemas/Currency"}},"converted":{"$ref":"#/components/schemas/Converted"}},"required":["converted"]},"NominalTranche":{"type":"object","properties":{"amount":{"type":"number"},"converted":{"$ref":"#/components/schemas/Converted"}},"required":["converted"]},"Pik":{"type":"object","properties":{"status":{"type":"string"},"value":{"type":"integer","format":"int32"}},"required":["status","value"]},"PricedDealResources":{"type":"object","properties":{"dealId":{"type":"integer","format":"int64"},"market":{"type":"string"},"pricedDate":{"type":"string","format":"date"},"headline":{"type":"string"},"message":{"type":"string"},"borrower":{"$ref":"#/components/schemas/PricedLoanBorrower"},"useOfProceeds":{"$ref":"#/components/schemas/PricedLoanUseOfProceeds"},"dealTotal":{"$ref":"#/components/schemas/Nominal"},"tranches":{"type":"array","items":{"$ref":"#/components/schemas/PricedLoanTranche"}},"_links":{"$ref":"#/components/schemas/Links"}},"required":["borrower","dealId","market","tranches","useOfProceeds"]},"PricedLoanBorrower":{"type":"object","properties":{"name":{"type":"string"},"region":{"type":"string","enum":["LATAM","CEEMEA","Western Europe","Asia Pacific","North America"]},"country":{"type":"string"},"type":{"type":"string"},"sector":{"type":"string"},"subsector":{"type":"string"},"secondarySubsector":{"type":"string"},"assetCategory":{"type":"string"},"leveragedMultiple":{"type":"string"},"ratings":{"$ref":"#/components/schemas/Rating"},"grade":{"type":"string"},"sponsors":{"$ref":"#/components/schemas/PricedLoanSponsor"},"ticker":{"type":"string"}},"required":["name","ratings","region","sponsors"]},"PricedLoanSponsor":{"type":"object","properties":{"sponsorBacked":{"type":"boolean"},"sponsors":{"type":"array","items":{"$ref":"#/components/schemas/Sponsor"}}}},"PricedLoanTranche":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"string"},"type":{"type":"string"},"shortType":{"type":"string"},"currency":{"type":"string"},"nominal":{"$ref":"#/components/schemas/NominalTranche"},"fxRate":{"$ref":"#/components/schemas/FxRate"},"maturity":{"type":"string"},"extensionOptions":{"type":"string"},"by":{"type":"string"},"margin":{"type":"string"},"pricingDate":{"type":"string","format":"date"},"pik":{"$ref":"#/components/schemas/Pik"},"allIn":{"type":"boolean"},"fixedRate":{"type":"boolean"},"oid":{"type":"string"},"rating":{"$ref":"#/components/schemas/Rating"},"covenantLight":{"type":"boolean"},"greenLoan":{"type":"boolean"},"sustainabilityLinked":{"type":"boolean"},"club":{"type":"boolean"},"grade":{"type":"string"},"bloombergCode":{"type":"string"},"figiCode":{"type":"string"},"banks":{"type":"array","items":{"$ref":"#/components/schemas/LoanBank"}},"tenor":{"type":"integer","format":"int32"}},"required":["allIn","banks","club","covenantLight","fixedRate","greenLoan","id","name","pik","rating","sustainabilityLinked"]},"PricedLoanUseOfProceeds":{"type":"object","properties":{"mergersAndAcquisitions":{"type":"boolean"},"prePostIpo":{"type":"boolean"},"refi":{"type":"boolean"},"gcp":{"type":"boolean"},"other":{"type":"boolean"},"lbo":{"type":"boolean"},"sbo":{"type":"boolean"},"dividendRecap":{"type":"boolean"}},"required":["gcp","mergersAndAcquisitions","other","prePostIpo","refi"]},"Rating":{"type":"object","properties":{"moodys":{"type":"string"},"standardAndPoors":{"type":"string"},"fitch":{"type":"string"}},"required":["fitch","moodys","standardAndPoors"]},"Sponsor":{"type":"object","properties":{"name":{"type":"string"}},"required":["name"]},"Type":{"type":"object","properties":{"mla":{"type":"boolean"},"bookrunner":{"type":"boolean"},"participant":{"type":"boolean"}},"required":["bookrunner","mla","participant"]},"CollectionModelExpectedDealResources":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"expectedDeals":{"type":"array","items":{"$ref":"#/components/schemas/ExpectedDealResources"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"ExpectedDealResources":{"type":"object","properties":{"dealId":{"type":"integer","format":"int64"},"market":{"type":"string"},"stage":{"type":"string"},"created":{"type":"string","format":"date-time"},"changed":{"type":"string","format":"date-time"},"headline":{"type":"string"},"message":{"type":"string"},"borrower":{"$ref":"#/components/schemas/ExpectedLoanBorrower"},"useOfProceeds":{"$ref":"#/components/schemas/ExpectedLoanUseOfProceeds"},"tranches":{"type":"array","items":{"$ref":"#/components/schemas/ExpectedLoanTranche"}},"_links":{"$ref":"#/components/schemas/Links"}},"required":["borrower","changed","created","dealId","market","stage","tranches","useOfProceeds"]},"ExpectedLoanBorrower":{"type":"object","properties":{"name":{"type":"string"},"region":{"type":"string","enum":["LATAM","CEEMEA","Western Europe","Asia Pacific","North America"]},"country":{"type":"string"},"type":{"type":"string"},"sector":{"type":"string"},"subsector":{"type":"string"},"secondarySubsector":{"type":"string"},"assetCategory":{"type":"string"},"grade":{"type":"string"},"sponsors":{"$ref":"#/components/schemas/ExpectedLoanSponsor"},"ticker":{"type":"string"}},"required":["name","region","sponsors"]},"ExpectedLoanSponsor":{"type":"object","properties":{"sponsorBacked":{"type":"boolean"},"sponsors":{"type":"array","items":{"$ref":"#/components/schemas/Sponsor"}}}},"ExpectedLoanTranche":{"type":"object","properties":{"name":{"type":"string"},"status":{"type":"string"},"changed":{"type":"string","format":"date-time"},"type":{"type":"string"},"shortType":{"type":"string"},"currency":{"type":"string"},"volume":{"type":"string"},"nominal":{"$ref":"#/components/schemas/NominalTranche"},"maturity":{"type":"string"},"margin":{"type":"string"},"oid":{"type":"string"},"timing":{"type":"string"},"figiCode":{"type":"string"}},"required":["name"]},"ExpectedLoanUseOfProceeds":{"type":"object","properties":{"mergersAndAcquisitions":{"type":"boolean"},"prePostIpo":{"type":"boolean"},"refi":{"type":"boolean"},"gcp":{"type":"boolean"},"other":{"type":"boolean"},"lbo":{"type":"boolean"},"sbo":{"type":"boolean"},"dividendRecap":{"type":"boolean"}},"required":["gcp","mergersAndAcquisitions","other","prePostIpo","refi"]},"BondBank":{"type":"object","properties":{"name":{"type":"string"},"status":{"type":"string"}},"required":["name","status"]},"Borrower":{"type":"object","properties":{"name":{"type":"string"},"region":{"type":"string"},"country":{"type":"string"},"type":{"type":"string"},"sector":{"type":"string"},"subsector":{"type":"string"},"ticker":{"type":"string"}},"required":["name","region","type"]},"CollectionModelIgPricedDeal":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"pricedDeals":{"type":"array","items":{"$ref":"#/components/schemas/IgPricedDeal"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"ConvertedValues":{"type":"object","properties":{"usd":{"type":"number"}},"required":["usd"]},"FxRates":{"type":"object","properties":{"usd":{"type":"number"}},"required":["usd"]},"IgMonetaryValues":{"type":"object","properties":{"nominal":{"$ref":"#/components/schemas/MonetaryValue"},"secondary":{"$ref":"#/components/schemas/MonetaryValue"},"retained":{"$ref":"#/components/schemas/MonetaryValue"},"nominalWithRetained":{"$ref":"#/components/schemas/MonetaryValue"}},"required":["nominal"]},"IgPricedDeal":{"type":"object","properties":{"dealId":{"type":"integer","format":"int32"},"market":{"type":"string","enum":["IG"]},"dealType":{"type":"string","enum":["ORIGINAL","INCREASE"]},"pricingDate":{"type":"string","format":"date"},"pricingTime":{"type":"string"},"borrower":{"$ref":"#/components/schemas/Borrower"},"currency":{"type":"string"},"nominal":{"$ref":"#/components/schemas/MonetaryValue"},"secondary":{"$ref":"#/components/schemas/MonetaryValue"},"retained":{"$ref":"#/components/schemas/MonetaryValue"},"nominalWithRetained":{"$ref":"#/components/schemas/MonetaryValue"},"total":{"$ref":"#/components/schemas/IgMonetaryValues"},"rating":{"$ref":"#/components/schemas/Ratings"},"grade":{"type":"string","enum":["INVESTMENT","HIGH_YIELD","UNRATED"]},"ranking":{"type":"string"},"cpn":{"type":"string"},"cpnType":{"type":"string"},"nonBullet":{"type":"string"},"step":{"type":"string"},"firstCallDate":{"type":"string","format":"date"},"perpetual":{"type":"boolean"},"maturity":{"type":"string","format":"date"},"fpr":{"type":"number"},"spread":{"type":"string"},"yield":{"type":"string"},"gov":{"type":"string"},"fxRate":{"$ref":"#/components/schemas/FxRates"},"nip":{"type":"string"},"subordinated":{"type":"boolean"},"leagueTableEligible":{"type":"boolean"},"bloombergCode":{"type":"string"},"isinCode":{"type":"string"},"figiCode":{"type":"string"},"stats":{"$ref":"#/components/schemas/Stats"},"priceEvolution":{"type":"array","items":{"$ref":"#/components/schemas/PriceEvolution"}},"banks":{"type":"array","items":{"$ref":"#/components/schemas/BondBank"}},"pref":{"type":"boolean"},"covered":{"type":"boolean"},"only144a":{"type":"boolean"},"onlyRegS":{"type":"boolean"},"regSAnd144a":{"type":"boolean"},"secRegistered":{"type":"boolean"},"secExempt":{"type":"boolean"},"section3a2":{"type":"boolean"},"green":{"type":"boolean"},"sustainable":{"type":"boolean"},"sustainabilityLinked":{"type":"boolean"},"social":{"type":"boolean"},"seniorNonPreferred":{"type":"boolean"},"seniorPreferred":{"type":"boolean"},"holdCo":{"type":"boolean"},"opCo":{"type":"boolean"},"additionalInfo":{"type":"string"},"coc":{"type":"boolean"},"cuc":{"type":"boolean"},"mwc":{"type":"boolean"},"tier":{"type":"string","enum":["RT1","AT1","T1","T2"]},"message":{"type":"string"},"dealHistory":{"type":"string"},"_links":{"$ref":"#/components/schemas/Links"}},"required":["banks","coc","covered","cuc","currency","dealId","dealType","fpr","fxRate","grade","green","holdCo","leagueTableEligible","market","mwc","nominal","only144a","onlyRegS","opCo","pref","priceEvolution","pricingDate","rating","regSAnd144a","secRegistered","seniorNonPreferred","seniorPreferred","social","subordinated","sustainabilityLinked","sustainable"]},"MonetaryValue":{"type":"object","properties":{"amount":{"type":"number"},"converted":{"$ref":"#/components/schemas/ConvertedValues"}},"required":["amount","converted"]},"PriceEvolution":{"type":"object","properties":{"date":{"type":"string","format":"date-time"},"value":{"type":"string"}},"required":["date","value"]},"Ratings":{"type":"object","properties":{"moodys":{"type":"string"},"standardAndPoors":{"type":"string"},"fitch":{"type":"string"}}},"Stats":{"type":"object","properties":{"finalBooks":{"type":"number"},"finalAccounts":{"type":"integer","format":"int32"},"investorType":{"type":"object","additionalProperties":{"type":"number"}},"geography":{"type":"object","additionalProperties":{"type":"number"}}}},"CollectionModelIgExpectedDeal":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"expectedDeals":{"type":"array","items":{"$ref":"#/components/schemas/IgExpectedDeal"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"DealHistoryEntry":{"type":"object","properties":{"changed":{"type":"string","format":"date-time"},"headline":{"type":"string"},"message":{"type":"string"}},"required":["changed","message"]},"IgExpectedDeal":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"market":{"type":"string","enum":["IG"]},"created":{"type":"string","format":"date-time"},"changed":{"type":"string","format":"date-time"},"headline":{"type":"string"},"message":{"type":"string"},"borrower":{"$ref":"#/components/schemas/Borrower"},"regions":{"type":"array","items":{"type":"string","enum":["Americas"]}},"coveredBonds":{"type":"boolean"},"_embedded":{"type":"object","properties":{"tranches":{"type":"array","items":{"$ref":"#/components/schemas/IgTranche"}}}},"_links":{"$ref":"#/components/schemas/Links"},"dealHistory":{"type":"array","items":{"$ref":"#/components/schemas/DealHistoryEntry"}}},"required":["borrower","changed","coveredBonds","created","dealHistory","id","market","regions"]},"IgTranche":{"type":"object","properties":{"name":{"type":"string"},"changed":{"type":"string","format":"date-time"},"status":{"type":"string","enum":["EXPECTED","TO_BE_INCREASED","INCREASED","PRICED"]},"currency":{"type":"string"},"volume":{"type":"string"},"structure":{"type":"string"},"priceEvolution":{"type":"string"},"books":{"type":"string"},"timing":{"type":"string"},"figiCode":{"type":"string"},"_links":{"$ref":"#/components/schemas/Links"}},"required":["name","status"]},"CollectionModelHyPricedDeal":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"pricedDeals":{"type":"array","items":{"$ref":"#/components/schemas/HyPricedDeal"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"HyMonetaryValues":{"type":"object","properties":{"nominal":{"$ref":"#/components/schemas/MonetaryValue"},"secondary":{"$ref":"#/components/schemas/MonetaryValue"},"retained":{"$ref":"#/components/schemas/MonetaryValue"},"nominalWithRetained":{"$ref":"#/components/schemas/MonetaryValue"}},"required":["nominal"]},"HyPricedDeal":{"type":"object","properties":{"dealId":{"type":"integer","format":"int32"},"market":{"type":"string","enum":["HY"]},"dealType":{"type":"string","enum":["ORIGINAL","INCREASE"]},"pricingDate":{"type":"string","format":"date"},"pricingTime":{"type":"string"},"borrower":{"$ref":"#/components/schemas/Borrower"},"currency":{"type":"string"},"nominal":{"$ref":"#/components/schemas/MonetaryValue"},"secondary":{"$ref":"#/components/schemas/MonetaryValue"},"retained":{"$ref":"#/components/schemas/MonetaryValue"},"nominalWithRetained":{"$ref":"#/components/schemas/MonetaryValue"},"total":{"$ref":"#/components/schemas/HyMonetaryValues"},"rating":{"$ref":"#/components/schemas/Ratings"},"grade":{"type":"string","enum":["INVESTMENT","HIGH_YIELD","UNRATED"]},"ranking":{"type":"string"},"cpn":{"type":"string"},"cpnType":{"type":"string"},"nonBullet":{"type":"string"},"step":{"type":"string"},"firstCallDate":{"type":"string","format":"date"},"perpetual":{"type":"boolean"},"maturity":{"type":"string","format":"date"},"fpr":{"type":"number"},"spread":{"type":"string"},"yield":{"type":"string"},"gov":{"type":"string"},"fxRate":{"$ref":"#/components/schemas/FxRates"},"nip":{"type":"string"},"subordinated":{"type":"boolean"},"leagueTableEligible":{"type":"boolean"},"bloombergCode":{"type":"string"},"isinCode":{"type":"string"},"figiCode":{"type":"string"},"stats":{"$ref":"#/components/schemas/Stats"},"priceEvolution":{"type":"array","items":{"$ref":"#/components/schemas/PriceEvolution"}},"banks":{"type":"array","items":{"$ref":"#/components/schemas/BondBank"}},"pref":{"type":"boolean"},"covered":{"type":"boolean"},"only144a":{"type":"boolean"},"onlyRegS":{"type":"boolean"},"regSAnd144a":{"type":"boolean"},"secRegistered":{"type":"boolean"},"secExempt":{"type":"boolean"},"section3a2":{"type":"boolean"},"green":{"type":"boolean"},"sustainable":{"type":"boolean"},"sustainabilityLinked":{"type":"boolean"},"social":{"type":"boolean"},"seniorNonPreferred":{"type":"boolean"},"seniorPreferred":{"type":"boolean"},"holdCo":{"type":"boolean"},"opCo":{"type":"boolean"},"additionalInfo":{"type":"string"},"coc":{"type":"boolean"},"cuc":{"type":"boolean"},"mwc":{"type":"boolean"},"tier":{"type":"string","enum":["RT1","AT1","T1","T2"]},"message":{"type":"string"},"dealHistory":{"type":"string"},"_links":{"$ref":"#/components/schemas/Links"}},"required":["banks","coc","covered","cuc","currency","dealId","dealType","fpr","fxRate","grade","green","holdCo","leagueTableEligible","market","mwc","nominal","only144a","onlyRegS","opCo","pref","priceEvolution","pricingDate","rating","regSAnd144a","secRegistered","seniorNonPreferred","seniorPreferred","social","subordinated","sustainabilityLinked","sustainable"]},"CollectionModelHyExpectedDeal":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"expectedDeals":{"type":"array","items":{"$ref":"#/components/schemas/HyExpectedDeal"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"HyExpectedDeal":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"market":{"type":"string","enum":["HY"]},"created":{"type":"string","format":"date-time"},"changed":{"type":"string","format":"date-time"},"headline":{"type":"string"},"message":{"type":"string"},"borrower":{"$ref":"#/components/schemas/Borrower"},"regions":{"type":"array","items":{"type":"string","enum":["Americas"]}},"coveredBonds":{"type":"boolean"},"_embedded":{"type":"object","properties":{"tranches":{"type":"array","items":{"$ref":"#/components/schemas/HyTranche"}}}},"_links":{"$ref":"#/components/schemas/Links"},"dealHistory":{"type":"array","items":{"$ref":"#/components/schemas/DealHistoryEntry"}}},"required":["borrower","changed","coveredBonds","created","dealHistory","id","market","regions"]},"HyTranche":{"type":"object","properties":{"name":{"type":"string"},"changed":{"type":"string","format":"date-time"},"status":{"type":"string","enum":["EXPECTED","TO_BE_INCREASED","INCREASED","PRICED"]},"currency":{"type":"string"},"volume":{"type":"string"},"structure":{"type":"string"},"priceEvolution":{"type":"string"},"books":{"type":"string"},"timing":{"type":"string"},"figiCode":{"type":"string"},"_links":{"$ref":"#/components/schemas/Links"}},"required":["name","status"]},"CollectionModelEmPricedDeal":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"pricedDeals":{"type":"array","items":{"$ref":"#/components/schemas/EmPricedDeal"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"EmMonetaryValues":{"type":"object","properties":{"nominal":{"$ref":"#/components/schemas/MonetaryValue"},"secondary":{"$ref":"#/components/schemas/MonetaryValue"},"exchange":{"$ref":"#/components/schemas/MonetaryValue"},"nominalWithExchange":{"$ref":"#/components/schemas/MonetaryValue"}},"required":["nominal"]},"EmPricedDeal":{"type":"object","properties":{"dealId":{"type":"integer","format":"int32"},"market":{"type":"string","enum":["EM"]},"dealType":{"type":"string","enum":["ORIGINAL","INCREASE"]},"pricingDate":{"type":"string","format":"date"},"pricingTime":{"type":"string"},"borrower":{"$ref":"#/components/schemas/Borrower"},"currency":{"type":"string"},"nominal":{"$ref":"#/components/schemas/MonetaryValue"},"secondary":{"$ref":"#/components/schemas/MonetaryValue"},"exchange":{"$ref":"#/components/schemas/MonetaryValue"},"nominalWithExchange":{"$ref":"#/components/schemas/MonetaryValue"},"total":{"$ref":"#/components/schemas/EmMonetaryValues"},"rating":{"$ref":"#/components/schemas/Ratings"},"grade":{"type":"string","enum":["INVESTMENT","SUB_INVESTMENT","UNRATED"]},"ranking":{"type":"string"},"cpn":{"type":"string"},"cpnType":{"type":"string"},"nonBullet":{"type":"string"},"firstCallDate":{"type":"string","format":"date"},"perpetual":{"type":"boolean"},"maturity":{"type":"string","format":"date"},"fpr":{"type":"number"},"swap":{"type":"string"},"yield":{"type":"string"},"gov":{"type":"string"},"fxRate":{"$ref":"#/components/schemas/FxRates"},"nip":{"type":"string"},"premium":{"$ref":"#/components/schemas/Premium"},"subordinated":{"type":"boolean"},"leagueTableEligible":{"type":"boolean"},"bloombergCode":{"type":"string"},"isinCode":{"type":"string"},"figiCode":{"type":"string"},"stats":{"$ref":"#/components/schemas/Stats"},"priceEvolution":{"type":"array","items":{"$ref":"#/components/schemas/PriceEvolution"}},"banks":{"type":"array","items":{"$ref":"#/components/schemas/BondBank"}},"covered":{"type":"boolean"},"only144a":{"type":"boolean"},"onlyRegS":{"type":"boolean"},"regSAnd144a":{"type":"boolean"},"secRegistered":{"type":"boolean"},"green":{"type":"boolean"},"sustainable":{"type":"boolean"},"sustainabilityLinked":{"type":"boolean"},"social":{"type":"boolean"},"seniorNonPreferred":{"type":"boolean"},"seniorPreferred":{"type":"boolean"},"holdCo":{"type":"boolean"},"opCo":{"type":"boolean"},"coc":{"type":"boolean"},"cuc":{"type":"boolean"},"mwc":{"type":"boolean"},"additionalInfo":{"type":"string"},"tier":{"type":"string","enum":["RT1","AT1","T1","T2"]},"message":{"type":"string"},"dealHistory":{"type":"string"},"_links":{"$ref":"#/components/schemas/Links"}},"required":["banks","coc","covered","cuc","dealId","dealType","fpr","fxRate","grade","green","holdCo","leagueTableEligible","market","mwc","nominal","only144a","onlyRegS","opCo","premium","priceEvolution","pricingDate","rating","regSAnd144a","secRegistered","seniorNonPreferred","seniorPreferred","social","subordinated","sustainabilityLinked","sustainable"]},"Premium":{"type":"object","properties":{"nip":{"type":"string"},"earlyTrading":{"type":"string"}}},"CollectionModelEmExpectedDeal":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"expectedDeals":{"type":"array","items":{"$ref":"#/components/schemas/EmExpectedDeal"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"EmExpectedDeal":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"market":{"type":"string","enum":["EM"]},"created":{"type":"string","format":"date-time"},"changed":{"type":"string","format":"date-time"},"headline":{"type":"string"},"message":{"type":"string"},"borrower":{"$ref":"#/components/schemas/Borrower"},"regions":{"type":"array","items":{"type":"string","enum":["Latam","CEEMEA","Asia(NJ)"]}},"_embedded":{"type":"object","properties":{"tranches":{"type":"array","items":{"$ref":"#/components/schemas/EmTranche"}}}},"_links":{"$ref":"#/components/schemas/Links"},"dealHistory":{"type":"array","items":{"$ref":"#/components/schemas/DealHistoryEntry"}}},"required":["borrower","changed","created","dealHistory","id","market","regions"]},"EmTranche":{"type":"object","properties":{"name":{"type":"string"},"changed":{"type":"string","format":"date-time"},"status":{"type":"string","enum":["EXPECTED","TO_BE_INCREASED","INCREASED","PRICED"]},"currency":{"type":"string"},"volume":{"type":"string"},"structure":{"type":"string"},"priceEvolution":{"type":"string"},"ratings":{"$ref":"#/components/schemas/Ratings"},"timing":{"type":"string"},"figiCode":{"type":"string"},"_links":{"$ref":"#/components/schemas/Links"}},"required":["name","status"]},"Link":{"type":"object","properties":{"href":{"type":"string"},"hreflang":{"type":"string"},"title":{"type":"string"},"type":{"type":"string"},"deprecation":{"type":"string"},"profile":{"type":"string"},"name":{"type":"string"},"templated":{"type":"boolean"}}},"Links":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Link"}}},"securitySchemes":{"authentication":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{}}}}}}}